Debian Bug report logs - #388924
logcheck: [annoying_notes] Abuse of debconf note(s)

version graph

Package: logcheck; Maintainer for logcheck is Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>; Source for logcheck is src:logcheck.

Reported by: Christian Perrier <bubulle@debian.org>

Date: Sat, 23 Sep 2006 06:06:35 UTC

Severity: normal

Found in version n/a

Fixed in version logcheck/1.2.48

Done: madduck@debian.org (martin f. krafft)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>:
Bug#388924; Package logcheck. Full text and rfc822 format available.

Acknowledgement sent to Christian Perrier <bubulle@debian.org>:
New Bug report received and forwarded. Copy sent to Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Perrier <bubulle@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: logcheck: [annoying_notes] Abuse of debconf note(s)
Date: Sat, 23 Sep 2006 08:01:55 +0200
Package: logcheck
Version: N/A
Severity: normal

Hello,

As announced in
http://lists.debian.org/debian-devel/2006/09/msg00630.html, this bug
report is part of a mass bug filing campaign about the "abuse" of
debconf templates of type "note".

First of all, in case you fixed you package in the short timeframe
that happned between my announcement and this bug report, please
accept my apologies and, of course, feel free to ask me to close the
bug report...or just close it yourself.

One or more template(s) has/have been identified in logcheck 
debconf templates and an automated analysis mentions that it/they is/are
displayed to users at low or medium priority.

The debconf-devel(7) manpage makes it clear that the "note" type should
be used only for important notes that the user really should see.

On the other hand, the "low" priority is meant for very trivial items
that have defaults that will work in the vast majority of
cases. The "medium" priority is meant for normal items
that have reasonable defaults.

As such, a note should only be used for IMPORTANT stuff, so actually
all debconf notes should be priority high....or should not exist.

Please consider one of the following options:

- move the text of the debconf note to the README.Debian file. The drawback
  is that the text will not be translatable anymore, which will be worked
  in the future. However, given that your note is very rarely displayed,
  this is indeed not a very strong drawback

- move the text to NEWS.Debian. This option should however rather be
  reserved for future texts of the same kind as the contents of this file
  is only displayed when users upgrade the package

- change the template type to "error" in case this note is meant to be
  displayed only in some cases when a problem shows up during execution of
  the maintainer's scripts. Please check debconf-devel(7) for details

- raise the priority to "high". This should be the last option to consider.
  It should be used only in cases where you judge that the information you
  display is VITAL for users of your package and that one could NOT USE IT
  if not reading the note.

A dedicated check will be proposed to the lintian and linda package
maintainers so that future uses of low and medium priority note
templates will be discouraged in the future. So, if you wish you
package to be lintian-clean, then you need to fix this..:-)


Template(s) identified in your package:

  logcheck -- config:14 logcheck/install-note
  logcheck -- config:17 logcheck/changes

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/dash
Kernel: Linux 2.6.17-2-686
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8) (ignored: LC_ALL set to fr_FR.UTF-8)



Tags added: pending Request was from martin f.krafft <madduck@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>:
Bug#388924; Package logcheck. Full text and rfc822 format available.

Message #10 received at 388924@bugs.debian.org (full text, mbox):

From: Christoph Berg <myon@debian.org>
To: 388924@bugs.debian.org
Subject: Re: logcheck: [annoying_notes] Abuse of debconf note(s)
Date: Fri, 13 Oct 2006 11:22:03 +0200
[Message part 1 (text/plain, inline)]
Re: Christian Perrier 2006-09-23 <20060923060155.6662.58958.reportbug@mykerinos.kheops.frmug.org>
> One or more template(s) has/have been identified in logcheck 
> debconf templates and an automated analysis mentions that it/they is/are
> displayed to users at low or medium priority.
> 
> The debconf-devel(7) manpage makes it clear that the "note" type should
> be used only for important notes that the user really should see.

Seconded, I just went "wtf" when I saw the logcheck/install-note
debconf message at medium level.

I see the bug is already tagged pending, it'd be nice to see this
fixed in Etch.

Thanks for your work,
Christoph
-- 
cb@df7cb.de | http://www.df7cb.de/
[signature.asc (application/pgp-signature, inline)]

Reply sent to madduck@debian.org (martin f. krafft):
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Christian Perrier <bubulle@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 388924-close@bugs.debian.org (full text, mbox):

From: madduck@debian.org (martin f. krafft)
To: 388924-close@bugs.debian.org
Subject: Bug#388924: fixed in logcheck 1.2.48
Date: Tue, 17 Oct 2006 01:02:12 -0700
Source: logcheck
Source-Version: 1.2.48

We believe that the bug you reported is fixed in the latest version of
logcheck, which is due to be installed in the Debian FTP archive:

logcheck-database_1.2.48_all.deb
  to pool/main/l/logcheck/logcheck-database_1.2.48_all.deb
logcheck_1.2.48.dsc
  to pool/main/l/logcheck/logcheck_1.2.48.dsc
logcheck_1.2.48.tar.gz
  to pool/main/l/logcheck/logcheck_1.2.48.tar.gz
logcheck_1.2.48_all.deb
  to pool/main/l/logcheck/logcheck_1.2.48_all.deb
logtail_1.2.48_all.deb
  to pool/main/l/logcheck/logtail_1.2.48_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 388924@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
martin f. krafft <madduck@debian.org> (supplier of updated logcheck package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  8 Oct 2006 17:15:43 +0200
Source: logcheck
Binary: logcheck logtail logcheck-database
Architecture: source all
Version: 1.2.48
Distribution: unstable
Urgency: low
Maintainer: Debian logcheck Team <logcheck-devel@lists.alioth.debian.org>
Changed-By: martin f. krafft <madduck@debian.org>
Description: 
 logcheck   - mails anomalies in the system logfiles to the administrator
 logcheck-database - database of system log rules for the use of log checkers
 logtail    - Print log file lines that have not been read
Closes: 355701 359787 372286 377139 377605 377618 377874 378976 379131 379215 381983 383243 386768 388924
Changes: 
 logcheck (1.2.48) unstable; urgency=low
 .
   [ maximilian attems ]
   * ignore.d.server/postfix: Fix cleanup rule and remove duplicate.
     Thanks Paul Aurich <paul+debian@aurich.com> (closes: 378976)
   * Updated debconf translations:
     - fr.po thanks Michel Grentzinger <mic.grentz@online.fr> (closes: 379215)
     - nl.po thanks Frans Pop <elendil@planet.nl> (closes: 377605)
     - it.po thanks Luca Monducci <luca.mo@tiscali.it> (closes: 377874)
   * violations.ignore.d/logcheck-ssh, violations.ignore.d/logcheck-postfix:
     Move to postfix rules to the later. (closes: 377139)
   * ignore.d.server/courier: Ignore authdaemon ldap reconnections.
     Thanks Tilman Koschnick <til@subnetz.org> for the patch (closes: 372286).
   * ignore.d.server/sa-exim: Add 2 rules for sa-exim. Thanks
     Ross Boylan <ross@biostat.ucsf.edu> (closes: 359787).
   * ignore.d.workstation/kernel: Add more rules for swsusp.
   * ignore.d.workstation/kernel: Ignore loop module loading.
   * Add catalan debconf translation (closes: 379131)
     - Thanks for ca.po to Jordà Polo <jorda@ettin.org>
   * ignore.d.workstation/kernel: Ignore oprofile loading.
   * ignore.d.workstation/kernel: Ignore removable device plugging.
   * ignore.d.server/dhclient: Ignore recorded leas output and bound renewal.
   * violations.ignore.d/logcheck-login: Ignore successful root logins on tty's.
   * ignore.d.workstation/ifplugd: Ignore link beat loose.
   * ignore.d.workstation/kernel: detto.
   * debian/logcheck-database.postinst: Make logcheck-database piuparts clean,
     on upgrade. Remove moved configfiles if they are unchanged.
     Thanks Lars Wirzenius <liw@iki.fi> for report (closes: #355701).
   * Remove old useless logcheck/changes low priority debconf template.
   * Remove logcheck/install-note as logcheck.conf is self explantory.
     (closes: 377618) Thanks Thomas Huriaux <thomas.huriaux@gmail.com>.
   * Move logcheck/changes retroactively to logcheck.News. Thus cleanup
     logcheck.control, no debconf left (closes: #388924).
   * logcheck-database.config fix bashism.
 .
   [ martin f. krafft ]
   * moved po-debconf build-dep to arch-dependent list due to clean target.
   * removed logcheck debconf files, only logcheck-database has debconf.
   * ignore.d.server/pdns: ignore failure to get SOA serial from supermasters
     that send wrong notifies.
   * ignore.d.server/cron-apt: fixed several rules for corner cases.
   * ignore.d.server/postfix: added rule for server greeting timeout.
   * ignore.d.server/postfix: also add msgid status messages by cleanup daemon.
   * ignore.d.server/proftpd: fixed rule to ignore unknown user logins.
   * ignore.d.server/spamd: fixed rule for config location message.
   * ignore.d.server/ssh: duplicate possible breakin messages from
     violations.ignore.d.
   * ignore.d.server/ssh: duplicate invalid user messages from
     violations.ignore.d, and also cater for zero-length usernames.
   * ignore.d.server/smartd, violations.ignore.d/logcheck-smartd: revert to
     reporting drastic changes in attributes.
   * ignore.d.server/smartd, violations.ignore.d/logcheck-smartd: now works
     with almost arbitrary disk names.
   * ignore.d.server/kernel: partially undo link status message filter, now
     only filters up messages, not the down ones. By nature of the link status,
     the messages will come in pairs or not at all anyway.
   * ignore.d.server/dovecot: ignoring inactivity logouts.
   * ignore.d.server/pdns: ignoring message about new superslave zones.
   * ignore.d.server/spamd: correcting typo in SIGCHLD cleanup rule.
   * ignore.d.server/ssh: ignoring ssh_msg_recv failure messages.
   * ignore.d.server/pdns: ignore messages about not being authoritative for
     just about anything.
   * ignore.d.server/cron-apt: fixed rule to properly treat lines with packages
     whose names have dots (closes: #381983).
   * Do not remove the logcheck user on purge as it may still own files
     (closes: #383243).
   * Updated nl debconf translation, thanks to Frans Pop (closes: #386768).
   * Added patches by Elmar Hoffman to ignore power on time usage attribute and
     messages about self-tests.
Files: 
 68491a5e081da4a7dad219824667d421 753 admin optional logcheck_1.2.48.dsc
 18154697cf5c925ab9bfc31321b147ba 120619 admin optional logcheck_1.2.48.tar.gz
 807c525fc2cb87bf0e6cca5709fdff26 53688 admin optional logcheck_1.2.48_all.deb
 6d406dd6ef6aa5344723d8180e0f4b8e 76216 admin optional logcheck-database_1.2.48_all.deb
 ff68a4c38a0d09227c1fd651ec27d9ba 36504 admin optional logtail_1.2.48_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFNIqQIgvIgzMMSnURAiqfAJ9xOP2RoDyWENPECakEwXawEeisXgCfWzN5
tAU23V6bShkv17ac5Ebg/OQ=
=5m/x
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 22:50:16 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 20:03:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.